
// Recibe información desde la escena de Descartes (juego)
    if (window.addEventListener) {
      window.addEventListener("message", onMessage, false);
    } else if (window.attachEvent) {
      window.attachEvent("onmessage", onMessage, false);
    }

    function onMessage(event) {

      var data = event.data;
	  
      // data.name es el nombre de la variable
      // data.value es el valor de la variable
      if ((data.type === "set") && (data.name === "V0PAD")) {
        // Reinicia el navegador
        location.reload();
      } else if (data.type === "update") {}

      if ((data.type === "set") && (data.name === "V1PAD")) {
        //Llama a la función que activa la pantalla completa
        pantallaCompletaP();
      } else if (data.type === "update") {}

      if ((data.type === "set") && (data.name === "V2PAD")) {
        //Llama a la función que activa la pantalla normal
        ventanaNormalP();
      } else if (data.type === "update") {}

      if ((data.type === "set") && (data.name === "V3PAD")) {
        // Abre una ventana pequeña con información sobre la opción de rebararjat preguntas
        window.open('contenidos/informacion4.html', 'Información rebarajar preguntas', 'width=750,height=130');
      } else if (data.type === "update") {}

      if ((data.type === "set") && (data.name === "V4PAD")) {
        // Abre una ventana pequeña con las reglas del juego
        window.open('contenidos/instrucciones.html', 'Instrucciones', 'width=890,height=590');
      } else if (data.type === "update") {}

      if ((data.type === "set") && (data.name === "V5PAD")) {
      //Mensaje enviado para activar el repliege correcto de la barra superior
       document.getElementById('hijo').contentWindow.postMessage("activarbarra", '*');
      } else if (data.type === "update") {}	  
	  
      if ((data.type === "set") && (data.name === "V6PAD")) {
        // Cierra la ventana del navegador
        window.close();
      } else if (data.type === "update") {}

      if ((data.type === "set") && (data.name === "V7PAD")) {
        //Llama a la función que hace que el juego ocupe toda la ventana
		document.getElementById('hijo').contentWindow.postMessage("pantallaResponsive", '*');
      } else if (data.type === "update") {}

      try {
        if (typeof(window[data.func]) == "function") {
          window[data.func].call(null, data.message);
        }
      } catch (err) {
        alert("Error Pantalla Completa");
      }
    }


    // Funciones para pantalla completa desde Iframe
    /* Pantalla Completa */
    function pantallaCompletaP(message) {
      /* Get the documentElement (<html>) to display the page in fullscreen */
      var elem = document.documentElement;
      if (elem.fullscreenEnabled) {
        /* Show the element in fullscreen */
        elem.requestFullscreen();
		document.getElementById('hijo').contentWindow.postMessage("pantallaventana1", '*');
      } else if (elem.webkitRequestFullscreen) {
        /* Safari */
        elem.webkitRequestFullscreen();
		document.getElementById('hijo').contentWindow.postMessage("pantallaventana1", '*');
      } else if (elem.msRequestFullscreen) {
        /* IE11 */
        elem.msRequestFullscreen();
      } else {
        console.log('Parece que el navegador devuelve "fullscreen" no soportado. Se intenta no obstante');
        elem.requestFullscreen();
		document.getElementById('hijo').contentWindow.postMessage("pantallaventana1", '*');
      }
    }

    /* Ventana Normal */
    function ventanaNormalP(message) {
      /* Get the documentElement (<html>) to display the page in fullscreen */
      var elem = document.documentElement;

      if (document.exitFullscreen) {
        document.exitFullscreen();
		document.getElementById('hijo').contentWindow.postMessage("pantallaventana2", '*');
      } else if (document.webkitExitFullscreen) {
        /* Safari */
        document.webkitExitFullscreen();
		document.getElementById('hijo').contentWindow.postMessage("pantallaventana2", '*');
      } else if (document.msExitFullscreen) {
        /* IE11 */
        document.msExitFullscreen();
		document.getElementById('hijo').contentWindow.postMessage("pantallaventana2", '*');		
      } else {
        console.log('Your browser cannot use fullscreen right now');
		document.getElementById('hijo').contentWindow.postMessage("pantallaventana2", '*');
      }
    }
